New Search

RHSA-2014:1658: java-1.6.0-sun security update (Important)

oval:org.mitre.oval:def:27068

Oracle Java SE version 6 includes the Oracle Java Runtime Environment and the Oracle Java Software Development Kit. This update fixes several vulnerabilities in the Oracle Java Runtime Environment and the Oracle Java Software Development Kit. Further information about these flaws can be found on the Oracle Java SE Critical Patch Update Advisory page listed in the References section. (CVE-2014-4288 CVE-2014-6457 CVE-2014-6458 CVE-2014-6492 CVE-2014-6493 CVE-2014-6502 CVE-2014-6503 CVE-2014-6504 CVE-2014-6506 CVE-2014-6511 CVE-2014-6512 CVE-2014-6515 CVE-2014-6517 CVE-2014-6531 CVE-2014-6532 CVE-2014-6558) The CVE-2014-6512 issue was discovered by Florian Weimer of Red Hat Product Security. All users of java-1.6.0-sun are advised to upgrade to these updated packages which provide Oracle Java 6 Update 85 and resolve these issues. All running instances of Oracle Java must be restarted for the update to take effect.

Family:
unix
Status:
ACCEPTED
Platform(s):
  • Red Hat Enterprise Linux 6
  • Red Hat Enterprise Linux 5
  • Red Hat Enterprise Linux 7
Class:
patch
Reference(s):
  • RHSA-2014:1658-00
  • CVE-2014-4288
  • CVE-2014-6457
  • CVE-2014-6458
  • CVE-2014-6492
  • CVE-2014-6493
  • CVE-2014-6502
  • CVE-2014-6503
  • CVE-2014-6504
  • CVE-2014-6506
  • CVE-2014-6511
  • CVE-2014-6512
  • CVE-2014-6515
  • CVE-2014-6517
  • CVE-2014-6531
  • CVE-2014-6532
  • CVE-2014-6558
Product(s):
  • java-1.6.0-sun